### Method

# Gtk Builderadd_objects_from_resource

#### Declaration [src]

    gboolean
    gtk_builder_add_objects_from_resource (
      GtkBuilder* builder,
      const char* resource_path,
      const char** object_ids,
      GError** error
    )

#### Description [src]

Parses a resource file containing a UI definition, building only the requested objects and merges them with the current contents of `builder`.

Upon errors, 0 will be returned and `error` will be assigned a `GError` from the `GTK_BUILDER_ERROR`, `G_MARKUP_ERROR` or `G_RESOURCE_ERROR` domain.

If you are adding an object that depends on an object that is not its child (for instance a `GtkTreeView` that depends on its `GtkTreeModel`), you have to explicitly list all of them in `object_ids`.

#### Parameters

`resource_path`

  Type: `const char*`

  The path of the resource file to parse.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`object_ids`

  Type: An array of `utf8`

  Nul-terminated array of objects to build.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` if an error occurred.